using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.SearchModels;
using SoftwareInstallationContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.BusinessLogicsContracts
{
    public interface IPackageLogic
    {
        List<PackageViewModel>? ReadList(PackageSearchModel? model);
        PackageViewModel? ReadElement(PackageSearchModel model);
        bool Create(PackageBindingModel model);
        bool Update(PackageBindingModel model);
        bool Delete(PackageBindingModel model);
    }
}
